Subject: Re: [RFC V2 0/2] cpufreq: cppc: Add support for frequency invariance

From: Ionela Voinescu <[email-masked]>
Date: Wed, 16 Dec 2020 19:50:03 +0000

Hi,

On Tuesday 15 Dec 2020 at 16:46:34 (+0530), Viresh Kumar wrote:
> Hello,
> 
> CPPC cpufreq driver is used for ARM servers and this patch series tries
> to provide frequency invariance support for them.
> 

Nitpick: cppc_cpufreq already supports cpufreq-based frequency
invariance, but not counter-based frequency invariance, when lacking
AMUs :).

> This is tested with some hacks, as I didn't have access to the right
> hardware, on the ARM64 hikey board to check the overall functionality
> and that works fine.
> 
> Ionela/Peter Puhov, it would be nice if you guys can give this a shot.
> 

I'll be on holiday starting tomorrow until January. I fully intend to
review and test this but I'll have to set myself a deadline for January
to do it.

Sorry for the delay,
Ionela.

> This is based of pm/linux-next and patches [1] and [2] which I sent
> recently to cleanup arm64 topology stuff.
> 
> Changes since V1:
> - The interface for setting the callbacks is improved, so different
>   parts looking to provide their callbacks don't need to think about
>   each other.
> 
> - Moved to per-cpu storage for storing the callback related data, AMU
>   counters have higher priority with this.
> 
> --
> viresh
> 
> [1] https://lore.kernel.org/lkml/7a17[email-masked]/
> [2] https://lore.kernel.org/lkml/5ffc[email-masked]/
> 
> Viresh Kumar (2):
>   topology: Allow multiple entities to provide sched_freq_tick()
>     callback
>   cpufreq: cppc: Add support for frequency invariance
> 
>  arch/arm64/include/asm/topology.h |   8 +-
>  arch/arm64/kernel/topology.c      |  89 +++++++++----------
>  drivers/base/arch_topology.c      |  56 +++++++++++-
>  drivers/cpufreq/cppc_cpufreq.c    | 140 +++++++++++++++++++++++++++++-
>  include/linux/arch_topology.h     |  14 ++-
>  kernel/sched/core.c               |   1 +
>  6 files changed, 244 insertions(+), 64 deletions(-)
> 
> -- 
> 2.25.0.rc1.19.g042ed3e048af
> 

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel